Last Comment Bug 740217 - simplify plugin instance object creation
: simplify plugin instance object creation
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla14
Assigned To: Josh Aas
:
Mentors:
Depends on: 741164
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 17:19 PDT by Josh Aas
Modified: 2012-03-31 23:39 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (4.20 KB, patch)
2012-03-28 17:19 PDT, Josh Aas
benjamin: review+
Details | Diff | Review

Description Josh Aas 2012-03-28 17:19:12 PDT
Created attachment 610369 [details] [diff] [review]
fix v1.0

Creating a plugin instance object is unnecessarily complicated right now.
Comment 1 Josh Aas 2012-03-29 01:24:59 PDT
Try server run:

https://tbpl.mozilla.org/?tree=Try&rev=49b9a322ab3a
Comment 2 Josh Aas 2012-03-30 09:54:10 PDT
pushed to mozilla-inbound

https://hg.mozilla.org/integration/mozilla-inbound/rev/7b813cc009ce
Comment 3 Ed Morley [:emorley] 2012-03-31 19:33:46 PDT
https://hg.mozilla.org/mozilla-central/rev/7b813cc009ce

Note You need to log in before you can comment on or make changes to this bug.